
Redmine - Feature #5332

Allow bulk edit of issues from different projects

2010-04-16 02:31 - Anonymous

Status: Closed Start date: 2010-04-14

Priority: Low Due date:  

Assignee:  % Done: 30%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Say I have projects Foo and Bar, with Bar as a subproject of Foo.

Foo has some versions (1.0, 2.0, 3.0...) which are shared with Bar.

If I look at the Foo issue list, I also see Bar issues by default.  But if I select some Foo issues and some Bar issues, then right-click, I

cannot change the target version en masse—even though the projects have some target versions in common.  In my case, both

projects have exactly the same set of target versions.

This was a bit painful recently; I canceled a version and wanted to split its issues between two new versions.

Using git as of Apr 9, commit f3e375275964fe58b3962cffd33f89ba156e637e.  (Ruby 1.8.7, Postgres 8.4.2, Rails 2.3.5.)

Related issues:

Has duplicate Redmine - Defect #7087: RMB bulk operations not supported acros... Closed 2010-12-09

Associated revisions

Revision 4055 - 2010-09-03 21:54 - Jean-Baptiste Barth

Allow mass status update through context menu. #3411

NB: it cannot be done with issues from different projects, same as

other fields. This will be addressed separately, see #5332.

Revision 4227 - 2010-09-29 07:22 - Jean-Baptiste Barth

Added ability to specify multiple projects in User#allowed_to? (#5332)

Revision 4228 - 2010-09-29 07:22 - Jean-Baptiste Barth

Splitted #find_issues filter in ApplicationController to #find_issues and #check_project_uniqueness (#5332)

Revision 4233 - 2010-10-06 07:08 - Jean-Baptiste Barth

Fixed: User#allowed_to? returning true in any case if array of projects had only one item (#5332)

Revision 4236 - 2010-10-07 07:11 - Jean-Baptiste Barth

Added ability to delete issues from different projects through contextual menu (#5332)

Revision 4242 - 2010-10-08 05:09 - Jean-Baptiste Barth

Added ability to edit issues from different project through contextual menu (#5332)

History

#1 - 2010-04-17 14:13 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Can't change target version of several issues in different projects to Allow bulk edit of issues from different projects

This is not supported for now.

#2 - 2010-06-07 19:02 - Davide Ferrari
Any plan to implement this some day? I'd like to see this feature too.

#3 - 2010-09-19 03:05 - Burt Culver

+1 - We would find this very helpful too

#4 - 2010-09-19 19:13 - Thomas Pihl

+1 - Several users request this

#5 - 2010-09-29 07:16 - Jean-Baptiste Barth

- Status changed from New to 7

- Assignee set to Jean-Baptiste Barth

- Target version set to 1.1.0

As said on the forum, I'll take this one and we plan to support it for Redmine 1.1.0.

#6 - 2010-09-29 07:37 - Thomas Pihl

Great, thank you.

#7 - 2010-10-08 06:38 - Jean-Baptiste Barth

- % Done changed from 0 to 30

Versions are a specific case, but I committed changes to support bulk edit of others fields for issues from different projects, and also issue deletion. It

will need some refactoring, but I encourage people interested in this feature to try it out from now and report any problem they may encounter.

FYI, here's the status of bulk edition on different projects:

shared versions: KO

other fields (assignee, tracker, status, priority, etc.): OK

delete issues: OK

log time, watch, move, copy, duplicate: KO (was even KO on multiple issues from the same project)

#8 - 2010-10-17 12:07 - Ewan Makepeace

+1

We have a custom field 'Sprint' and every month I have to move all the active tasks to the next month. Because we have 8 sub projects I have to do

this 9 times in total, even though they share the same field. It would be great if bulk edit on issues from different projects was allowed, perhaps by

only offering the fields that were common to the selected issues?

#9 - 2010-12-18 14:48 - Jean-Philippe Lang

- Target version changed from 1.1.0 to Unplanned backlogs

1.1 feature freeze.

#10 - 2010-12-23 13:38 - Jean-Baptiste Barth

I think the actual version (things I committed in trunk) could be added to 1.1.0. It may need some refactoring

1

 but it works for main cases. Other cases

need more work, except the watch/unwatch, and I don't know if we should handle them.

Jean-Philippe: let me know what you think.

1

 I don't like all those @projects.map{}.inject{} but didn't know how we should handle it : extend Array in lib/redmine/core_ext/ OR introduce a new

class to handle groups of projects, or groups of items ; if so, under Redmine:: scope or in a new model, etc.

#11 - 2011-02-02 01:40 - Ryan Thrash

I'd really really like this. It'd help tremendously with sub-projects and Tasks release planning.

#12 - 2012-02-12 05:04 - Anthony Meugui

+1 very helpful (in particular for shared version)

#13 - 2012-04-19 19:05 - Jean-Philippe Lang

- Target version deleted (Unplanned backlogs)

- Resolution set to Duplicate

2025-07-09 2/3



1.4.0 lets you bulk edit issues from different projects.

#14 - 2012-06-10 22:42 - Jean-Baptiste Barth

- Assignee deleted (Jean-Baptiste Barth)

#15 - 2012-06-18 21:06 - Valdir Stiebe Junior

This issue is marked as resolved, assigned and duplicate.

But it is assigned to nobody. And it is duplicate by #7087 which is also duplicate and closed.

At least on 1.4.2 we still can't select shared versions across projects when bulk editing multiple issues from different projects.

This is a "won't do" or it should be reopened?

#16 - 2013-01-13 21:04 - Jean-Philippe Lang

- Status changed from 7 to New

Assigned issue with no assignee back to New status.

#17 - 2016-09-30 13:50 - Olivier Houdas

As far as I could see, this works fine in Redmine 3.x. This issue should be closed.

#18 - 2016-10-30 05:06 - Toshi MARUYAMA

- Status changed from New to Closed

Valdir Stiebe Junior wrote:

At least on 1.4.2 we still can't select shared versions across projects when bulk editing multiple issues from different projects.

 I confirm it works on Redmine 3.3.1.
